﻿using System;

/*
 *         Progetto: AWG1
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 07/11/2014
 *  
 *      Descrizione: Determina le dimensioni di un cavo (diametro, sezione) noto il numero AWG.
 */

namespace AWG1
{
    class Program
    {
        static void Main(string[] args)
        {
            const double riferimentoMm = 0.127;
            const double riferimentoIn = 0.005;

            int awg, scelta;
            double diametro, sezione;
            string unitaMisura;

            // L'applicazione è configurata di default con le impostazioni   
            // della lingua italiana. Il separatore decimale è quindi la virgola.

            do
            {
                Console.Write("Numero AWG: ");
                awg = Convert.ToInt32(Console.ReadLine());
            } 
            while (awg < 0 || awg > 36);

            do
            {
                Console.Write("Unità di misura dei risultati (1 - millimetro; 2 - pollice): ");
                scelta = Convert.ToInt32(Console.ReadLine());
            } 
            while (scelta != 1 && scelta != 2);

            double riferimento = (scelta == 1 ? riferimentoMm : riferimentoIn);

            diametro = riferimento * Math.Pow(92, (36 - awg) / 39.0);
            sezione = Math.PI / 4.0 * Math.Pow(diametro, 2);
            unitaMisura = (scelta == 1 ? "mm" : "in");

            Console.WriteLine("Diametro  [{0}]: {1:N4}", unitaMisura, diametro);
            Console.WriteLine("Sezione [{0}^2]: {1:G4}", unitaMisura, sezione);
        }
    }
}
