﻿using System;
using System.Globalization;
using System.Threading;

/*
 *         Progetto: AWG3
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 05/11/2014
 *  
 *      Descrizione: Genera la tabella delle dimensioni dei cavi secondo lo standard AWG.
 */

namespace AWG3
{
    class Program
    {
        static void Main(string[] args)
        {
            // Usa le impostazioni internazionali (mutuate dalla lingua inglese)
            // per il formato numerico. Il separatore decimale è il punto

            Thread.CurrentThread.CurrentCulture = CultureInfo.InvariantCulture;

            const double riferimento = 0.127;   // [mm]

            Console.WriteLine("Tabella dei valori AWG");
            Console.WriteLine("----------------------------");
            Console.WriteLine("{0,4}{1,12}{2,12}", "AWG", "d [mm]", "A [mm^2]");
            Console.WriteLine("----------------------------");

            for (int awg = 0; awg <= 36; awg++)
            {
                double diam = riferimento * Math.Pow(92.0, (36 - awg) / 39.0);
                double area = Math.PI / 4.0 * Math.Pow(diam, 2.0);

                Console.WriteLine("{0,4}{1,12:N4}{2,12:N4}", awg, diam, area);
            }
            Console.WriteLine("----------------------------");
        }
    }
}
